Eam Object Query Issue

Eam Object Query Issue
Current issues that have been detected for this entity.

Current issues that have been detected for this entity.

Each issue can be remediated by invoking Resolve or ResolveAll.

Requires view privileges.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/eam/EamObject/{moId}/QueryIssue
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case EamObject/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryIssueRequestType of type(s) application/json
Optional
{
    "issueKey": [
        0
    ]
}
array of integer
issueKey
Optional

An optional array of issue keys. If not set, all issues for this entity are returned.

Authentication
This operation uses the following authentication methods.
Responses
200

A possibly empty array of issues that match the input issueKey array. Note that the returned array can be smaller than issueKey if one or more issue keys refers to issues that this entity does not have.

[
    {
        "_typeName": "string",
        "key": 0,
        "description": "string",
        "time": "string"
    }
]
array of object
Optional

An issue represents a problem encountered while deploying and configuring agents in a vCenter installation.

An issue conveys the type of problem and the entity on which the problem has been encountered. Most issues are related to agents, but they can also relate to an agency or a host.

The set of issues provided by the vSphere ESX Agent Manager describes the discrepancy between the desired agent deployment state, as defined by the agency configurations, and the actual deployment. The (@link EamObject.RuntimeInfo.Status.status) of an agency or agent is green if it has reached its goal state. It is marked as yellow if the vSphere ESX Agent Manager is actively working to bring the object to its goal state. It is red if there is a discrepancy between the current state and the desired state. In the red state, a set of issues are filed on the object that describe the reason for the discrepancy between the desired and actual states.

Issues are characterized as either active or passive remediable issues. For an active remediable issue, the vSphere ESX Agent Manager can actively try to solve the issue. For example, by deploying a new agent, removing an agent, changing its power state, and so on. For a passive remediable issue, the vSphere ESX Agent Manager is not able to solve the problem directly, and can only report the problem. For example, this could be caused by an incomplete host configuration.

When resolve is called for an active remediable issue, the vSphere ESX Agent Manager starts performing the appropriate remediation steps for the particular issue. For a passive remediable issue, the EAM manager simply checks if the condition still exists, and if not it removes the issue.

The vSphere ESX Agent Manager actively monitors most conditions relating to both active and passive issues. Thus, it often automatically discovers when an issue has been remediated and removes the issue without needing to explicitly call resolve on an issue.

The complete Issue hierarchy is shown below:

See also Resolve, ResolveAll.

This structure may be used only with operations rendered under /eam.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/eam/EamObject/{moId}/QueryIssue